- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#body.FetchMarketplaceIntegrationCommercialDiffResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#body.aspect_1)
- [IntegrationType](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#IntegrationType)
- [PythonVersion](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#PythonVersion)

**Full name**: projects.locations.instances.marketplaceIntegrations.fetchCommercialDiff

Retrieves the differences between the currently installed version of an integration and the commercial version available in the marketplace.

### HTTP request

`GET https://{endpoint}/v1alpha/{name}:fetchCommercialDiff`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The instance to fetch MarketplaceIntegrations for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body must be empty.

### Response body

Response message for FetchMarketplaceIntegrationCommercialDiff.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "integrationIdentifier": string, "actions": [ string ], "jobs": [ string ], "connectors": [ string ], "managers": [ string ], "transformers": [ string ], "logicalOperators": [ string ], "customFamilies": [ string ], "exampleUsecases": [ string ], "mappingRules": [ string ], "version": string, "type": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#IntegrationType`), "pythonVersion": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#PythonVersion`), "existingIntegration": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations#Integration`) }, "diff": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/IntegrationDiff`) }, "custom": boolean, "mappingRulesExist": boolean } ``` |

| Fields ||
|---|---|
| `integrationIdentifier` | `string` Required. The extracted integration identifier name. |
| `actions[]` | `string` Output only. Extracted actions names. |
| `jobs[]` | `string` Output only. Extracted jobs names. |
| `connectors[]` | `string` Output only. Extracted connector names. |
| `managers[]` | `string` Output only. Extracted managers names. |
| `transformers[]` | `string` Output only. Extracted transformers names. |
| `logicalOperators[]` | `string` Output only. Extracted logical operators names. |
| `customFamilies[]` | `string` Output only. Extracted custom family names. |
| `exampleUsecases[]` | `string` Output only. Extracted example usecases names. |
| `mappingRules[]` | `string` Output only. Extracted mapping rules names. |
| `version` | `string` Output only. Integration version. |
| `type` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#IntegrationType`)`` Output only. Integration type (RESPONSE/EXTENSION). |
| `pythonVersion` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.marketplaceIntegrations/fetchCommercialDiff#PythonVersion`)`` Output only. Integration's python version. |
| `existingIntegration` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations#Integration`)`` Output only. The existing integration in the system with the same display name as the one that the user wants to import. |
| `diff` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/IntegrationDiff`)`` Output only. The difference between the existing integration and the imported one. |
| `custom` | `boolean` Output only. Is the integration custom or commercial. |
| `mappingRulesExist` | `boolean` Output only. Indicates if mapping rules exist for the integration. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.marketplaceIntegrations.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## IntegrationType

Integration Type If not specified, the default value is RESPONSE.

| Enums ||
|---|---|
| `INTEGRATION_TYPE_UNSPECIFIED` | Unspecified type. |
| `RESPONSE` | Response type. |
| `EXTENSION` | Extension type. |

## PythonVersion

Python Versions

| Enums ||
|---|---|
| `PYTHON_VERSION_UNSPECIFIED` | Python version unspecified |
| `V2_7` | Version 2.7 |
| `V3_7` | Version 3.7 |
| `V3_11` | Version 3.11 |
| `NONE` | NONE |